Subject: bug#47716: closed (Re: bug#47716: gio mount broken, again.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Jul 2022 20:06:02 +0000

Your bug report

#47716: gio mount broken, again.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47716: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47716
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47716: gio mount broken, again.
From: Maxim Cournoyer <[email-masked]>
To: raingloom <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Jul 2022 16:05:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

raingloom <[email-masked]> writes:

> ```
> $ gio mount sftp://whatever
> $ ls /run/user/$UID/gvfs/
> ```
> prints nothing.

Note that it seem to work if you are using the GNOME desktop.

> Same thing happens if I mount it from the Nautilus file manager.
>
> This bug has appeared before and I still have no idea how it was fixed,
> which is not great. I'll do a bisect soon. Should probably add a system
> test for it so it doesn't break again.
>
> In the meantime, if whoever fixed it the last time could look into it
> again, I'd be very thankful. Using sshfs manually works but isn't great.

gvfs is now using fusermount3, but we were only adding 'fusermount' as a
setuid-program by default.

After adding fusermount3 from fuse@3 to /run/setuid-programs, it appears
to work:

$ guix shell glib:bin gvfs dbus fuse gnome-keyring
[env] PATH=/run/setuid-programs:$PATH dbus-run-session bash
[env] gio mount sftp://some-host:2345
( prompts for credentials )
ls /run/user/1000/gvfs/sftp:host=some-host,port=2345/
bin/   dev/  gnu/   [...]

I've pushed this as commit cbdfa54c77.

Closing.

Maxim

Subject: gio mount broken, again.
From: raingloom <[email-masked]>
To: Guix Bugs <[email-masked]>
Date: Sun, 11 Apr 2021 20:29:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

```
$ gio mount sftp://whatever
$ ls /run/user/$UID/gvfs/
```
prints nothing.

Same thing happens if I mount it from the Nautilus file manager.

This bug has appeared before and I still have no idea how it was fixed,
which is not great. I'll do a bisect soon. Should probably add a system
test for it so it doesn't break again.

In the meantime, if whoever fixed it the last time could look into it
again, I'd be very thankful. Using sshfs manually works but isn't great.